--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: R2CRewriter (should probably move this out to its own file) does rewritings that are language specific to C.
constants: 
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: REWRITES maps a function signature to a proc responsible for generating the appropriate sexp for that rewriting.
  name: REWRITES
  value: "{     [Type.str, :+, Type.str] => proc { |l,n,r|       t(:call, nil, :strcat, r.unshift(r.shift, l), Type.str)"
full_name: R2CRewriter
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: process_call
name: R2CRewriter
superclass: SexpProcessor
